/*
 * Copyright (c) 2021 Jeroen Steendam
 *
 * This file is part of FFmpeg.
 *
 * FFmpeg is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * FFmpeg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with FFmpeg; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

// Unused functions of libavcodec
//
// The functions in this file are dummy definitions of functions that should
// have been optimised away by the compiler (see code below)
//
//   if (ARCH_ARM)
//      ff_fft_init_arm();
//
// Unfortunately the msvc compiler does not optimise them away in case of our
// debug build and at link time will complain about unresolved externals.

#ifdef _MSC_VER
void ff_xvmc_init_block() {}
void ff_xvmc_pack_pblocks() {}
void ff_svq1enc_init_ppc() {}
void ff_aac_coder_init_mips() {}
void ff_aacdec_init_mips() {}
void ff_fft_init_aarch64() {}
void ff_fft_init_arm() {}
void ff_fft_init_mips() {}
void ff_fft_init_ppc() {}
void ff_rdft_init_arm() {}
void ff_idctdsp_init_aarch64() {}
void ff_idctdsp_init_alpha() {}
void ff_idctdsp_init_arm() {}
void ff_idctdsp_init_ppc() {}
void ff_idctdsp_init_mips() {}
void ff_fdctdsp_init_ppc() {}
void ff_pixblockdsp_init_aarch64() {}
void ff_pixblockdsp_init_alpha() {}
void ff_pixblockdsp_init_arm() {}
void ff_pixblockdsp_init_ppc() {}
void ff_pixblockdsp_init_mips() {}
void ff_blockdsp_init_alpha() {}
void ff_blockdsp_init_arm() {}
void ff_blockdsp_init_ppc() {}
void ff_blockdsp_init_mips() {}
void ff_hpeldsp_init_aarch64() {}
void ff_hpeldsp_init_alpha() {}
void ff_hpeldsp_init_arm() {}
void ff_hpeldsp_init_ppc() {}
void ff_hpeldsp_init_mips() {}
void ff_celp_filter_init_mips() {}
void ff_mpegvideoencdsp_init_arm() {}
void ff_mpegvideoencdsp_init_ppc() {}
void ff_mpegvideoencdsp_init_mips() {}
void ff_videodsp_init_aarch64() {}
void ff_videodsp_init_arm() {}
void ff_videodsp_init_ppc() {}
void ff_videodsp_init_mips() {}
void ff_mpv_common_init_arm() {}
void ff_mpv_common_init_axp() {}
void ff_mpv_common_init_neon() {}
void ff_mpv_common_init_ppc() {}
void ff_mpv_common_init_mips() {}
void ff_me_cmp_init_alpha() {}
void ff_me_cmp_init_arm() {}
void ff_me_cmp_init_ppc() {}
void ff_me_cmp_init_mips() {}
void ff_llviddsp_init_ppc() {}
void ff_h263dsp_init_mips() {}
void ff_qpeldsp_init_mips() {}
void ff_hevc_pred_init_mips() {}
void ff_hevc_dsp_init_arm() {}
void ff_hevc_dsp_init_ppc() {}
void ff_hevc_dsp_init_mips() {}
void ff_hevc_put_hevc_qpel_h4_8_avx512icl() {}
void ff_hevc_put_hevc_qpel_h8_8_avx512icl() {}
void ff_hevc_put_hevc_qpel_h16_8_avx512icl() {}
void ff_hevc_put_hevc_qpel_h32_8_avx512icl() {}
void ff_hevc_put_hevc_qpel_h64_8_avx512icl() {}
void ff_hevc_put_hevc_qpel_hv8_8_avx512icl() {}
void ff_xvid_idct_init_mips() {}
void ff_vc1dsp_init_aarch64() {}
void ff_vc1dsp_init_arm() {}
void ff_vc1dsp_init_ppc() {}
void ff_vc1dsp_init_mips() {}
void ff_h264dsp_init_aarch64() {}
void ff_h264dsp_init_arm() {}
void ff_h264dsp_init_ppc() {}
void ff_h264dsp_init_mips() {}
void ff_h264_pred_init_aarch64() {}
void ff_h264_pred_init_arm() {}
void ff_h264_pred_init_mips() {}
void ff_vp3dsp_init_arm() {}
void ff_vp3dsp_init_ppc() {}
void ff_vp3dsp_init_mips() {}
void ff_h264chroma_init_aarch64() {}
void ff_h264chroma_init_arm() {}
void ff_h264chroma_init_ppc() {}
void ff_h264chroma_init_mips() {}
void ff_vp6dsp_init_arm() {}
void ff_vp78dsp_init_aarch64() {}
void ff_vp78dsp_init_arm() {}
void ff_vp78dsp_init_ppc() {}
void ff_vp8dsp_init_aarch64() {}
void ff_vp8dsp_init_arm() {}
void ff_vp8dsp_init_mips() {}
void ff_vp9dsp_init_aarch64() {}
void ff_vp9dsp_init_arm() {}
void ff_vp9dsp_init_mips() {}
void ff_aacsbr_func_ptr_init_mips() {}
void ff_ac3dsp_init_arm() {}
void ff_ac3dsp_init_mips() {}
void ff_fmt_convert_init_aarch64() {}
void ff_fmt_convert_init_arm() {}
void ff_fmt_convert_init_ppc() {}
void ff_fmt_convert_init_mips() {}
void ff_audiodsp_init_arm() {}
void ff_audiodsp_init_ppc() {}
void ff_acelp_filter_init_mips() {}
void ff_acelp_vectors_init_mips() {}
void ff_celp_math_init_mips() {}
void ff_llauddsp_init_arm() {}
void ff_llauddsp_init_ppc() {}
void ff_flacdsp_init_arm() {}
void ff_mlpdsp_init_arm() {}
void ff_mpadsp_init_aarch64() {}
void ff_mpadsp_init_arm() {}
void ff_mpadsp_init_ppc() {}
void ff_mpadsp_init_mipsfpu() {}
void ff_mpadsp_init_mipsdsp() {}
void ff_sbcdsp_init_arm() {}
void ff_vorbisdsp_init_aarch64() {}
void ff_vorbisdsp_init_arm() {}
void ff_vorbisdsp_init_ppc() {}
void ff_g722dsp_init_arm() {}
void ff_h264qpel_init_aarch64() {}
void ff_h264qpel_init_arm() {}
void ff_h264qpel_init_ppc() {}
void ff_h264qpel_init_mips() {}
void ff_diff_bytes_mmx() {}
void ff_fdct_mmx() {}
void ff_fdct_mmxext() {}
void ff_fdct_sse2() {}
void ff_mpegvideodsp_init_ppc() {}
void ff_diff_int16_mmx() {}
void ff_add_int16_mmx() {}
void ff_add_hfyu_left_pred_bgr32_mmx() {}
void ff_add_bytes_mmx() {}
void ff_add_median_pred_mmxext() {}
void ff_vc1dsp_init_mmx() {}
void ff_vc1dsp_init_mmxext() {}
void ff_rv40dsp_init_aarch64() {}
void ff_rv40dsp_init_arm() {}
void ff_wmv2dsp_init_mips() {}
void ff_iir_filter_init_mips() {}
void ff_sbrdsp_init_arm() {}
void ff_sbrdsp_init_aarch64() {}
void ff_sbrdsp_init_mips() {}
void ff_fft_fixed_init_arm() {}
void ff_lfe_fir0_float_sse() {}
void ff_synth_filter_init_aarch64() {}
void ff_synth_filter_init_arm() {}
void ff_flac_enc_lpc_16_sse4() {}
void ff_opus_dsp_init_aarch64() {}
void ff_rv34dsp_init_arm() {}
void ff_psdsp_init_arm() {}
void ff_psdsp_init_aarch64() {}
void ff_psdsp_init_mips() {}
void ff_rv34_idct_dc_add_mmx() {}
#endif
