/*
 * Copyright (c) 2021 Jeroen Steendam
 *
 * This file is part of FFmpeg.
 *
 * FFmpeg is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * FFmpeg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with FFmpeg; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

// Unused functions of libavutil
//
// The functions in this file are dummy definitions of functions that should
// have been optimised away by the compiler (see code below)
//
//   if (ARCH_ARM)
//      ff_get_cpu_flags_arm()
//
// Unfortunately the msvc compiler does not optimise them away in case of our
// debug build and at link time will complain about unresolved externals.

#ifdef _MSC_VER
void ff_get_cpu_flags_mips() {}
void ff_get_cpu_flags_aarch64() {}
void ff_get_cpu_flags_arm() {}
void ff_get_cpu_flags_ppc() {}
void ff_get_cpu_max_align_mips() {}
void ff_get_cpu_max_align_aarch64() {}
void ff_get_cpu_max_align_arm() {}
void ff_get_cpu_max_align_ppc() {}
void ff_float_dsp_init_aarch64() {}
void ff_float_dsp_init_arm() {}
void ff_float_dsp_init_ppc() {}
void ff_float_dsp_init_mips() {}
#endif
